# $Revision: 1.26.2.1.2.1 $, $Date: 2004/02/22 16:29:32 $
Summary:	Electric VLSI Design System
Summary(pl):	System projektowania ukadw VLSI
Name:		electric
Version:	6.08
Release:	3
License:	GPL v2
Vendor:		Static Free Software
Group:		Applications/Engineering
Source0:	ftp://ftp.gnu.org/pub/gnu/electric/%{name}-%{version}.tar.gz
# Source0-md5:	de428032f08d3d3ee8686f178ae6b160
Source1:	%{name}.desktop
Patch0:		%{name}-datadir.patch
Patch1:		%{name}-tcl.patch
Patch2:		%{name}-makefile.patch
Patch3:		%{name}-ac_fix.patch
URL:		http://www.staticfreesoft.com/electric.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	motif-devel
BuildRequires:	tcl-devel
Conflicts:	applnk < 1.5.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_desktopdir	%{_applnkdir}/Scientific/Engineering

%description
Electric designs MOS and bipolar integrated circuits,
printed-circuit-boards, or any type of circuit you choose. It has many
editing styles including layout, schematics, artwork, and
architectural specifications.

A large set of tools is available including design-rule checkers,
simulators, routers, layout generators, and more. Electric interfaces
to most popular CAD specifications including VHDL, CIF, and GDS II.

%description -l pl
Electric suy do projektowania ukadw MOS i bipolarnych, pytek
drukowanych oraz dowolnych innych rodzajw ukadw. Ma wiele styli
edycji, w tym rozmieszczenia, schematyczny, specyfikacji architektury.

Dostpny jest duy zestaw narzdzi, w tym symulatory, generatory itp.
S dostpne interfejsy do wikszoci popularnych formatw CAD, w tym
VHDL, CIF i GDS II.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2
%patch3

%build
%{__aclocal}
%{__autoconf}
%configure

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/electric,%{_desktopdir}}
install electric $RPM_BUILD_ROOT%{_bindir}
install lib/.cadrc $RPM_BUILD_ROOT%{_datadir}/electric
install lib/*.help $RPM_BUILD_ROOT%{_datadir}/electric
install lib/*.mac $RPM_BUILD_ROOT%{_datadir}/electric
install lib/*.txt $RPM_BUILD_ROOT%{_datadir}/electric

# can't find better way to make electric find tcl.init
ln -sf /usr/lib/tcl8.* $RPM_BUILD_ROOT%{_datadir}/electric/tcl

install %{SOURCE1}	$RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README examples/samples.txt html/manual examples
%attr(755,root,root) %{_bindir}/*
%{_datadir}/electric
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: electric.spec,v $
Revision 1.26.2.1.2.1  2004/02/22 16:29:32  ankry
- .desktop moved to Scientific/Engineering, rel. 3
- Conflicts: old applnk

Revision 1.26.2.1  2004/02/18 11:13:01  blues
- release 2 for RA

Revision 1.26  2003/11/03 10:13:10  gotar
- upgraded to 6.08,
- BR: s/lesstif-devel/motif-devel/,
- enabled datadir and tcl patches,
- pass %rpmcflags,
- cosmetics.

Revision 1.25  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.24  2003/05/25 05:47:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/01/18 22:46:45  juandon
- removed two lines with define

Revision 1.22  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.21  2002/08/11 22:04:42  mmazur
- I've mixed up Portable threads with Posix Threads... fixed :)

Revision 1.20  2002/08/11 20:42:39  mmazur
- added BR to make sure it builds correctly

Revision 1.19  2002/08/11 20:38:45  mmazur
- fixed compilation; rel2; STBR
- use new %%doc
- don't touch the patches... If the author want's I'll fix them myself

Revision 1.18  2002/08/06 18:12:57  marcus
- updated to 6.06

Revision 1.17  2002/05/21 23:12:59  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/04/25 16:14:46  arturs
fixed a small typo

Revision 1.15  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/14 03:59:56  kloczek
- !sort Buildrequires rules.

Revision 1.11  2001/12/12 21:37:48  blues
- release 3
- License: GPL v2
- URL added
- added gziping docs
- added dir directive

Revision 1.10  2001/11/27 09:57:08  qboosh
- pl description

Revision 1.9  2001/10/07 14:16:56  blues
- release 2
- ac2.5 ready

Revision 1.8  2001/10/03 02:03:06  marcus
- configure2_13

Revision 1.7  2001/09/18 19:36:09  ankry
- updated path in URL

Revision 1.6  2001/04/30 16:05:17  kloczek
- added using %%{rpmcflags} macro.

Revision 1.5  2001/01/25 20:03:22  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.3  2000/10/22 09:20:41  jajcus
- TCL support added

Revision 1.2  2000/10/20 18:21:04  kloczek
- cosmetics.

Revision 1.1  2000/10/14 11:36:28  jajcus
- initial spec
